Package com.enonic.xp.schema.content

## Class ContentType

- java.lang.Object
- - com.enonic.xp.schema.BaseSchema<ContentTypeName>
  - - com.enonic.xp.schema.content.ContentType

-     @PublicApi
      public final class ContentType
      extends BaseSchema<ContentTypeName>

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class | Description
    --- | --- | ---
    `static class` | `ContentType.Builder` |

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `allowChildContent()` |
    `static ContentType.Builder` | `create()` |
    `static ContentType.Builder` | `create​(ContentType contentType)` |
    `List<String>` | `getAllowChildContentType()` |
    `String` | `getDisplayNameExpression()` |
    `String` | `getDisplayNameLabel()` |
    `String` | `getDisplayNameLabelI18nKey()` |
    `Form` | `getForm()` |
    `InputTypeConfig` | `getSchemaConfig()` |
    `ContentTypeName` | `getSuperType()` |
    `XDataNames` | `getXData()` |
    `boolean` | `hasSuperType()` |
    `boolean` | `isAbstract()` |
    `boolean` | `isBuiltIn()` |
    `boolean` | `isFinal()` |
    `String` | `toString()` |

    - ### Methods inherited from class com.enonic.xp.schema.BaseSchema

      `equals, getCreatedTime, getCreator, getDescription, getDescriptionI18nKey, getDisplayName, getDisplayNameI18nKey, getIcon, getModifiedTime, getModifier, getName, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Method Detail

    - #### create

          public static ContentType.Builder create()

    - #### create

          public static ContentType.Builder create​(ContentType contentType)

    - #### hasSuperType

          public boolean hasSuperType()

    - #### getSuperType

          public ContentTypeName getSuperType()

    - #### isAbstract

          public boolean isAbstract()

    - #### isFinal

          public boolean isFinal()

    - #### allowChildContent

          public boolean allowChildContent()

    - #### isBuiltIn

          public boolean isBuiltIn()

    - #### getForm

          public Form getForm()

    - #### getDisplayNameExpression

          public String getDisplayNameExpression()

    - #### getXData

          public XDataNames getXData()

    - #### getDisplayNameLabel

          public String getDisplayNameLabel()

    - #### getDisplayNameLabelI18nKey

          public String getDisplayNameLabelI18nKey()

    - #### getSchemaConfig

          public InputTypeConfig getSchemaConfig()

    - #### getAllowChildContentType

          public List<String> getAllowChildContentType()

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`